Integrations
Connect CRM
Connects a CRM by saving an encrypted API key. Records the connection time and user.
curl -X POST "https://api.sendkit.ai/v1/integrations/crm/hubspot" \
-H "Content-Type: application/json" \
-H "X-Api-Key: YOUR_API_KEY" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"apiKey": "pat-na1-abc123def456..."
}'
import requests
import json
url = "https://api.sendkit.ai/v1/integrations/crm/hubspot"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"apiKey": "pat-na1-abc123def456..."
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.sendkit.ai/v1/integrations/crm/hubspot", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"apiKey": "pat-na1-abc123def456..."
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"apiKey": "pat-na1-abc123def456..."
}`)
req, err := http.NewRequest("POST", "https://api.sendkit.ai/v1/integrations/crm/hubspot", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-Api-Key", "YOUR_API_KEY")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.sendkit.ai/v1/integrations/crm/hubspot')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-Api-Key'] = 'YOUR_API_KEY'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"apiKey": "pat-na1-abc123def456..."
}'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"type": "hubspot",
"connected": true
}
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
POST
/v1/integrations/crm/{type}POST
API Key (header: X-Api-Key)
X-Api-Keystring
RequiredPlatform API key (sk_user_...) or Workspace API key (sk_...)
Platform API key (sk_user_...) or Workspace API key (sk_...)
path
typestring
RequiredCRM provider type
Options: attio, hubspot, pipedrive, airtable, salesforce
Content-Typestring
RequiredThe media type of the request body
Options: application/json
apiKeystring
RequiredCRM API key (will be encrypted before storage)
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-Api-Keystring
RequiredAPI Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)
header
Authorizationstring
RequiredBearer token. API key as Bearer token
Path Parameters
Body
application/json
apiKeystring
RequiredCRM API key (will be encrypted before storage)
Responses
successboolean
dataobject
Was this page helpful?
Last updated today
Built with Documentation.AI